import { jsx } from "react/jsx-runtime";
import { TokenTAKI as TokenTAKI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTAKI = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "TAKI", "data-name": "TokenTAKI", ...props, children: /* @__PURE__ */ jsx(TokenTAKI$1, { variant }) });
  }
);
TokenTAKI.displayName = "TokenTAKI";
Object.assign(TokenTAKI, { isGdsIcon: true });
export {
  TokenTAKI
};
